import 'package:flutter/material.dart';
import 'package:flutter_bloc/flutter_bloc.dart';
import 'package:tanami_app/features/welcome/presentation/pages/welcome_layout.dart';

import '../../../../core/styles/app_color.dart';
import '../bloc/onboarding_bloc.dart';

class WelcomeScreen extends StatelessWidget {
  const WelcomeScreen({super.key});

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      backgroundColor: AppColor.plainWhite,
      body: MultiBlocProvider(
        // Define the providers for the OnboardingBloc and other blocs
        providers: [
          BlocProvider(
            // Create an instance of the OnboardingBloc
            create: (_) => OnboardingBloc(),
          ),
        ],
        child: WelcomeLayout(),
      ),
    );
  }
}
